<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>vlkb</groupId>
  <artifactId>psearch</artifactId>
  <packaging>war</packaging>
  <version>1.0-SNAPSHOT</version>
  <name>psearch Maven Webapp</name>
  <url>http://maven.apache.org</url>

  <properties>
          <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
          <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
          <!-- FIXME needs JAVA_HOME=/usr/java/jdk-17.0.4.1 (java17 manually installed and aletrnatives activated) -->
          <maven.compiler.source>17</maven.compiler.source>
          <maven.compiler.target>17</maven.compiler.target>
  </properties>


  <dependencies>

          <!-- local -->
          <dependency>
                  <groupId>it.inaf.ia2</groupId>
                  <artifactId>auth-lib</artifactId>
                  <version>2.0.0-SNAPSHOT</version>
                  <scope>provided</scope>
          </dependency>

          <!-- local -->
          <dependency>
                  <groupId>it.inaf.ia2</groupId>
                  <artifactId>rap-client</artifactId>
                  <version>1.0-SNAPSHOT</version>
                  <scope>provided</scope>
          </dependency>
          <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-databind -->
          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-databind</artifactId>
                  <version>2.15.1</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-core -->
          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-core</artifactId>
                  <version>2.15.1</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-annotations -->
          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-annotations</artifactId>
                  <version>2.15.1</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-api -->
          <dependency>
                  <groupId>org.slf4j</groupId>
                  <artifactId>slf4j-api</artifactId>
                  <version>1.7.36</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-simple -->
          <dependency>
                  <groupId>org.slf4j</groupId>
                  <artifactId>slf4j-simple</artifactId>
                  <version>1.7.36</version>
                  <scope>test</scope>
          </dependency>

          <!-- https://mvnrepository.com/artifact/ch.qos.logback/logback-classic -->
          <dependency>
                  <groupId>ch.qos.logback</groupId>
                  <artifactId>logback-classic</artifactId>
                  <version>1.4.7</version>
                  <scope>test</scope>
          </dependency>
          <!-- https://mvnrepository.com/artifact/ch.qos.logback/logback-core -->
          <dependency>
                  <groupId>ch.qos.logback</groupId>
                  <artifactId>logback-core</artifactId>
                  <version>1.4.7</version>
          </dependency>

          <dependency>
                  <groupId>javax.servlet</groupId>
                  <artifactId>servlet-api</artifactId>
                  <version>2.5</version>
                  <scope>provided</scope>
          </dependency>

          <dependency>
                  <groupId>com.opencsv</groupId>
                  <artifactId>opencsv</artifactId>
                  <version>5.7.1</version>
                  <scope>provided</scope>
          </dependency>

          <!-- https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt-api -->
          <dependency>
                  <groupId>io.jsonwebtoken</groupId>
                  <artifactId>jjwt-api</artifactId>
                  <version>0.11.5</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt-jackson -->
          <dependency>
                  <groupId>io.jsonwebtoken</groupId>
                  <artifactId>jjwt-jackson</artifactId>
                  <version>0.11.5</version>
                  <!-- scope>runtime</scope -->
  </dependency>

  <!-- https://mvnrepository.com/artifact/org.postgresql/postgresql -->
  <dependency>
          <groupId>org.postgresql</groupId>
          <artifactId>postgresql</artifactId>
          <version>42.6.0</version>
  </dependency>

  <dependency>
          <groupId>junit</groupId>
          <artifactId>junit</artifactId>
          <version>3.8.1</version>
          <scope>test</scope>
  </dependency>

  </dependencies>

  <build>
          <finalName>psearch</finalName>
          <plugins>
                  <plugin>
                          <artifactId>maven-war-plugin</artifactId>
                          <version>3.3.2</version>
                  </plugin>
          </plugins>
  </build>

</project>
